using SushiBarDataModels.Enums;
using SushiBarDataModels.Models;
using System.ComponentModel;

namespace SushiBarContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        [DisplayName("Number")]
        public int Id { get; init; }
        
        public int SushiId { get; init; }
        public int ClientId { get; init; }
        public int? ImplementerId { get; set; }

        [DisplayName("Client FIO")] 
        public string ClientFio { get; init; } = string.Empty;

        [DisplayName("Implementer FIO")] 
        public string ImplementerFio { get; set; } = string.Empty;

        [DisplayName("Name of Product")]
        public string SushiName { get; init; } = string.Empty;

        [DisplayName("Count")]
        public int Count { get; set; }

        [DisplayName("Sum")]
        public double Sum { get; set; }

        [DisplayName("Status")]
        public OrderStatus Status { get; set; } = OrderStatus.Unknown;

        [DisplayName("Date Create")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Date Implement")]
        public DateTime? DateImplement { get; set; }
    }
}
